### Method

# Foundry TextDocument load_settings

#### Declaration [src]

    DexFuture*
    foundry_text_document_load_settings (
      FoundryTextDocument* self
    )

#### Description [src]

Loads the settings for the document.

Text editing applications should bind the properties of the resulting `FoundryTextSettings` to their document’s text editor.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryTextSettings` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.